Fency.ai
Memories

Get memory

GET
/v1/memories/{memoryId}

Retrieve a memory by unique id.

Authorization

bearerAuth
AuthorizationBearer <token>

Provide your secret key as Authorization: Bearer sk_....

In: header

Path Parameters

memoryId*string

Response Body

application/json

curl -X GET "https://example.com/v1/memories/string"
{  "id": "mem_cf4fe6caa10b4009a8b103d2d5d64042",  "createdAt": "2024-04-08T17:02:27.887295Z",  "updatedAt": "2024-04-08T17:02:27.887295Z",  "sourceType": "TEXT",  "typeId": "mty_cf4fe6caa10b4009a8b103d2d5d64042",  "title": "Example Title",  "content": "This is the full content of the secret memory.",  "contentParts": 1,  "contentStatus": "SYNCHRONIZED",  "metadata": {    "organization_id": "org_1234567890",    "allowed_roles": [      "Admin",      "Member"    ],    "size": 1337,    "is_available": true,    "mean_score": 3.14  }}